Mailinglist Archive: opensuse-buildservice (213 mails)

< Previous Next >
Re: [opensuse-buildservice] Important osc version 0.119 release !
  • From: Christian <chris@xxxxxxxxxxxxxxxx>
  • Date: Wed, 17 Jun 2009 15:02:08 +0000
  • Message-id: <4A390570.9030007@xxxxxxxxxxxxxxxx>
but on console

obs:/srv/ftp/pub/mirror/opensuse/repositories/openSUSE:/Tools/SLE_10/noarch
# rpm -Uvh build-2009.06.04-47.1.noarch.rpm
Preparing... ###########################################
[100%]
1:build ###########################################
[100%]

obs:/srv/ftp/pub/mirror/opensuse/repositories/openSUSE:/Tools/SLE_10/x86_64
# rpm -Uvh osc-0.119-2.1.x86_64.rpm
Preparing... ###########################################
[100%]
1:osc ###########################################
[100%]

it is working.
zypper/YAST broken ?

bye
Chris

Christian schrieb:
Hi,

uninstallable via yast/zypper on SLE_10

obs:~ # zypper in osc
Die Systemquellen werden wiederhergestellt...
Metadaten werden analysiert fürSDK SP2...
Metadaten werden analysiert füropenSuSE_Archiving_Backup...
Metadaten werden analysiert für-20080709-220611...
Metadaten werden analysiert fürruby...
Metadaten werden analysiert fürlua...
Metadaten werden analysiert fürSLES 10 SP2 Updates...
Metadaten werden analysiert fürExtras...
Metadaten werden analysiert fürhttp...
Metadaten werden analysiert fürSLES 10 SP2...
Metadaten werden analysiert fürSIT_Extras...
RPM-Datenbank wird analysiert...
Zusammenfassung:
<install>[S3:0][package]build-2009.06.04-47.2.noarch
<install>[S3:0][package]osc-0.119-2.1.x86_64
<uninstall>[S0:0][package]osc-0.117-9.1.x86_64
<uninstall>[S0:0][package]build-2009.04.23-46.1.noarch
fortfahren? [y/n]: y
Downloading: [S3:0][package]build-2009.06.04-47.2.noarch, 85,5 K(402,0 K
unpacked)
Installing: [S3:0][package]build-2009.06.04-47.2.noarch
[S3:0][package]build-2009.06.04-47.2.noarch Subprocess failed. Error:
RPM failed:

Invalid object
Invalid object
Installing: [S3:0][package]build-2009.06.04-47.2.noarch
[S3:0][package]build-2009.06.04-47.2.noarch Subprocess failed. Error:
RPM failed:

(with nodeps)Invalid object
(with nodeps)Invalid object
Installing: [S3:0][package]build-2009.06.04-47.2.noarch
[S3:0][package]build-2009.06.04-47.2.noarch Subprocess failed. Error:
RPM failed:

(with nodeps+force)Invalid object
(A)bbrechen, E(r)neut versuchen, (I)gnorieren? I
Downloading: [S3:0][package]osc-0.119-2.1.x86_64, 234,4 K(771,3 K unpacked)
Installing: [S3:0][package]osc-0.119-2.1.x86_64
[S3:0][package]osc-0.119-2.1.x86_64 Subprocess failed. Error: RPM failed:

Invalid object
Invalid object
Installing: [S3:0][package]osc-0.119-2.1.x86_64
[S3:0][package]osc-0.119-2.1.x86_64 Subprocess failed. Error: RPM failed:

(with nodeps)Invalid object
(with nodeps)Invalid object
Installing: [S3:0][package]osc-0.119-2.1.x86_64
[S3:0][package]osc-0.119-2.1.x86_64 Subprocess failed. Error: RPM failed:

(with nodeps+force)Invalid object
(A)bbrechen, E(r)neut versuchen, (I)gnorieren? I

Regards
Chris

Adrian Schröter schrieb:

The new osc version 0.119 is released and available in the openSUSE:Tools
project.
It comes with a new build script package as well.

You will need this version of osc to handle new kinds of requests, which
will
come soon to api.opensuse.org. So an update is highly recommended.

This release has a lot of fixes and new features, but also some argument
changes compared to former releases. We decided to do these changes to have
a
more consistent UI and to avoid conflicts in the future.

However, osc always tells you when you use a command in a no longer
supported
way and points you to the new command. Find a list of changes at the bottom
of
this mail.


--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >